#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

#define WeaponNoSlot		0// dummy weapons
#define WeaponSlotPrimary	1// primary weapons
#define WeaponSlotSecondary	16// secondary weapons
#define WeaponSlotItem		256// items
#define WeaponSlotBinocular	4096// binocular
#define WeaponHardMounted	65536

class CfgPatches
{
	class ghilliegungig
	{
		units[] = {};
		weapons[] = {ghilliegungig};
		requiredVersion = 1.30;
	};
	class gitg2gig
	{
		units[] = {gitg2gig};
		weapons[] = {};
		requiredVersion = 1.30;
	};
};
class CfgVehicles
{
	class All{};
	class AllVehicles : All{};
	class Land : AllVehicles{};
	class Man : Land{};
	class Soldier : Man{};
	class SoldierWB : Soldier{};
	class SoldierWSniper : SoldierWB{};
	class gitg2gig : SoldierWSniper
	{
		scope=2;
		sensitivity=2.5;
		displayName="USMC Ghillie Sniper (GIG)";
		weapons[]={GhillieM40A1gig,NVGoggles,Throw,Put};
		magazines[]={ghilliegunmaggig,ghilliegunmaggig,ghilliegunmaggig,ghilliegunmaggig,ghilliegunmaggig};
		camouflage=0.25;
		accuracy=1000;
		namesound= "sniper"
		attendant= 1;
		moves="CfgMovesMC";
		canhidebodies= 1;
		laserscanner=1;
		hiddenSelections[]={"medic"};
		model="\gitg2\gitg2gig.p3d";
		picture="\gitg2\gitg2.paa";
		wounds[]={
			"\gitg2\_hrud_p","\gitg2\xhrud_p",
			"\gitg2\_nohy_p","\gitg2\xnohy_p",
			"\gitg2\_nohy_z","\gitg2\xnohy_z",
			"\gitg2\_helma_side2","\gitg2\xhelma_side2",
			"\gitg2\_zadaruce_z","\gitg2\xzadaruce_z",
			"\gitg2\_vojak_nohy_bok_l","\gitg2\xvojak_nohy_bok_l",
			"\gitg2\_vojak_ruka_bok_l","\gitg2\xvojak_ruka_bok_l",
			"\gitg2\_vojak_hrud_bok_p","\gitg2\xvojak_hrud_bok_p",
			"\gitg2\_helma_front","\gitg2\xhelma_front"};
	};
};
class CfgAmmo
{
	class default {};
      	class BulletSingle: default {};
	class BulletSniper: BulletSingle {};
	class ghilliesilencedgig: BulletSniper
	{
		hit=11;
		indirectHit=1;
		indirectHitRange=0.5;
		visibleFire=0.025000;
		audibleFire=0.025000;
		tracerColor[]={0,0,0,0.000000};
		tracerColorR[]={0,0,0,0.000000};
	};				  
};

class CfgWeapons
{
	class Default	{};
	class MGun: Default {};
	class Riffle: MGun {};
	class M21: Riffle{};
	class GhillieM40A1gig: M21
	{	
		scopeWeapon=2;
		scopemagazine=0;
		model="\gitg2\ghilliegungig";
		modelOptics="\gitg2\optics.p3d";
		ammo=ghilliesilencedgig;
		opticsZoomMin=0.01;
		opticsZoomMax=0.5;
		distanceZoomMin=2000;
		distanceZoomMax=80;
		recoil=riffleSilenced;
		recoilfixed=empty;
		count=15;
		magazines[]={ghilliegunmaggig};
		reloadTime=1.1;
		displayName = Silenced M40A1;
		displayNameMagazine = "M40A1 Mag.";
		picture="\gitg2\ghilliegunpic.paa";
		accuracy=1000;
		initspeed=5000;
		sound[]={\gitg2\shot.wav,0.003,1};
		drySound[]={\gitg2\empty.wav,db-40,1};
	};

	class ghilliegunmaggig: ghillieM40A1gig
	{
		scopeWeapon=2;
		scopeMagazine=2;
		displayNameMagazine = "M40A1";
		shortNameMagazine = "M40A1";
		picture="\dtaext\equip\m\m_m21.paa";
     	};
};
class CfgFaces
{
	class Ghilliefacegig
	{
		name="Ghillie Sniper";
		texture="\gitg2\face.paa";
		east=1;
		west=1;
	};
};
class CfgNonAIVehicles
{
	class ProxyWeapon{};
	class Proxygitg2gig: ProxyWeapon{};
};